[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/eclipse/devel eclipse.spec,1.473,1.474



Author: bkonrath

Update of /cvs/pkgs/rpms/eclipse/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv3243

Modified Files:
	eclipse.spec 
Log Message:
some icedtea fixes



Index: eclipse.spec
===================================================================
RCS file: /cvs/pkgs/rpms/eclipse/devel/eclipse.spec,v
retrieving revision 1.473
retrieving revision 1.474
diff -u -r1.473 -r1.474
--- eclipse.spec	29 Aug 2007 19:48:57 -0000	1.473
+++ eclipse.spec	30 Aug 2007 19:54:32 -0000	1.474
@@ -96,7 +96,7 @@
 BuildRequires:  gcc-java >= 4.1.2
 BuildRequires:  java-gcj-compat-devel >= 1.0.64
 %else
-BuildRequires:  java-devel >= 1.5.0
+BuildRequires:  java-devel >= 1.6.0
 %endif
 
 # Need to investigate why we don't build ant-apache-bsf or ant-commons-net in
@@ -137,7 +137,7 @@
 Requires(post):     java-gcj-compat >= 1.0.64
 Requires(postun):   java-gcj-compat >= 1.0.64
 %else
-Requires:       java >= 1.4.2
+Requires:       java >= 1.6.0
 %endif
 
 %description    ecj
@@ -172,7 +172,7 @@
 Requires(post):     java-gcj-compat >= 1.0.64
 Requires(postun):   java-gcj-compat >= 1.0.64
 %else
-Requires:       java >= 1.4.2
+Requires:       java >= 1.6.0
 %endif
 
 %description    rcp
@@ -194,13 +194,6 @@
 Requires:       %{name}-rcp = %{epoch}:%{version}-%{release}
 Requires(post):    %{name}-rcp = %{epoch}:%{version}-%{release}
 Requires(postun):  %{name}-rcp = %{epoch}:%{version}-%{release}
-%if %{gcj_support}
-Requires:           libgcj >= 4.0.2
-Requires(post):     java-gcj-compat >= 1.0.64
-Requires(postun):   java-gcj-compat >= 1.0.64
-%else
-Requires:       java >= 1.4.2
-%endif
 
 %description    cvs-client 
 Eclipse CVS Client
@@ -599,6 +592,7 @@
 %endif 
 
 # remove jdt.apt.pluggable.core, jdt.compiler.tool and org.eclipse.jdt.compiler.apt as they require a JVM that supports Java 1.6
+%if %{gcj_support}
 for plugin in jdt.apt.pluggable.core jdt.compiler.tool jdt.compiler.apt; do
   version=$(grep org.eclipse.$plugin plugins/org.eclipse.$plugin/build.xml | grep condition.property | cut -d _ -f 2-3 | cut -d \" -f 1)
   sed --in-place "s/org.eclipse.$plugin:0.0.0,$version,//" features/org.eclipse.jdt/build.xml
@@ -611,6 +605,7 @@
   linenum=$(grep -no "value=\"org.eclipse.$plugin" assemble.org.eclipse.sdk.linux.gtk.%{eclipse_arch}.xml | cut -d : -f 1)
   sed --in-place -e "$(expr $linenum - 2),$(expr $linenum + 1)d" assemble.org.eclipse.sdk.linux.gtk.%{eclipse_arch}.xml
 done
+%endif
 
 # link to the jsch jar
 rm plugins/com.jcraft.jsch_0.1.31.jar
@@ -712,10 +707,17 @@
 # Build the rest of Eclipse
 export CLASSPATH=`pwd`/ecj.jar:$ORIGCLASSPATH
 export JAVA_HOME=%{java_home}
+%if %{gcj_support}
 ant \
   -Dnobootstrap=true \
   -DinstallOs=linux -DinstallWs=gtk -DinstallArch=%{eclipse_arch} \
   -Dlibsconfig=true -DjavacSource=1.5 -DjavacTarget=1.5 -DcompilerArg="-encoding ISO-8859-1 -nowarn"
+%else
+ant \
+  -Dnobootstrap=true \
+  -DinstallOs=linux -DinstallWs=gtk -DinstallArch=%{eclipse_arch} \
+  -Dlibsconfig=true -DcompilerArg="-encoding ISO-8859-1 -nowarn"
+%endif
 
 ## Build the FileInitializer application
 SDK=$(cd eclipse && pwd)
@@ -1576,6 +1578,10 @@
 %{_libdir}/gcj/%{name}/org.eclipse.jdt.debug.ui_*
 %{_libdir}/gcj/%{name}/jdimodel.jar.*
 %{_libdir}/gcj/%{name}/jdi.jar.*
+%else
+%{_datadir}/%{name}/plugins/org.eclipse.jdt.apt.pluggable.core_*
+%{_datadir}/%{name}/plugins/org.eclipse.jdt.compiler.apt_*
+%{_datadir}/%{name}/plugins/org.eclipse.jdt.compiler.tool_*
 %endif
 
 %files jdt-sdk


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]